Skip to main content

Consumer Loan Repayment Reporting

Share Single Consumer loan repayment data (HTTP POST) to the DLN​


POST https://dev.creditchek.africa/v1/dln/consumer/loanRepayment

This endpoint allows only a single object at a time. Lenders are encouraged to submit their borrowers' loan repayment data whenever a repayment is made or a borrower's repayment status changes. Keeping repayment records up to date helps improve cross-lender visibility, borrower performance tracking, and portfolio risk management.

Request Parameters​

Example Request
---
curl --location 'https://dev.creditchek.africa/v1/dln/consumer/dataSubmission' \
--header 'token: JWR6t1qp8UcHrGVFyTPhrIWyayH+8eUQFSDkLih6lA2KXGo4CzGUx/zqPc8uhksb' \
--data-raw '{
"BVN": "11111111111",
"customerId": "62f1d3863518a3e04bbc6aaf",
"lastName": "Sample",
"firstName": "Test",
"dateOfBirth": "07/11/1998",
"addressLine1": "35 Adeola odeku",
"addressLine2": "off Idejo",
"city": "Ikeja",
"state": "Lagos",
"country": "Nigeria",
"maritalStatus": "single",
"employmentStatus": "employed",
"occupation": "student",
"businessSector": "Education",
"phoneNumber": "08023151310",
"email": "[email protected]",
"gender": "Male",
"accountNumber": "0128456407",
"accountName": "Isaac John",
"accountStatusDate": "03/05/2022",
"dateOpened": "13/05/2022",
"loanAmount": 73150,
"lastPaymentDate": "22/06/2022",
"outstandingBalance": 20,
"overdueAmount": 2500,
"daysInArrears": 0,
"minimumInstallment": 19000,
"lastPaymentAmount": 450,
"collateral": "Yes",
"collateralType": "Cash",
"guarantor": "Yes",
"guarantorType": "individual",
"guarantorDOBorDateOfIncorporation": "12/07/2002",
"guarantorFirstName": "Guator",
"guarantorLastName": "Testor",
"guarantorGender": "male",
"guarantorPhoneNumber": "08173902223",
"guarantorAddressLine1": "34 Kalu street",
"guarantorCity": "Algiers",
"guarantorState": "Lagos",
"guarantorCountry": "Nigeria",
"guarantorBVN": "10923874652",
"nextDueDate": "13/12/2022",
"maturityDate": "30/06/2023",
"loanDuration": "6 months",
"purpose": "Tuition",
"repaymentFrequency": "monthly",
"accountDescription": "Creditchek user account",
"currency": "NGN",
"accountStatus": "Open",
"nationality": "Nigeria",
"legalChallengeStatus": "No",
"consentStatus": "Yes"
}'
---
Response
{
"status": true,
"data": {},
"message": "ledger updated successfully",
"error": false
}